using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour {

	//leftside input
    public int key1   = 0;
    public int key2   = 0;
    public int key3   = 0;
	public int Key4   = 0;
	public int Key5   = 0;
	public int Key6   = 0;

    private Animator anim;

    public hearth h;

    void Start(){
        anim = GetComponent<Animator>();
    }

	void All(){
		Key4   = 0;
		Key5   = 0;
		Key6   = 0;
        key1   = 0;
        key2   = 0;
        key3   = 0;
        anim.SetBool("a", false);
        anim.SetBool("s", false);
        anim.SetBool("d", false);
        anim.SetBool("down", false);
        anim.SetBool("left", false);
        anim.SetBool("none",true);
        anim.SetBool("right", false);
        anim.SetBool("hurt", false);
	}

	// Update is called once per frame
	void FixedUpdate () 
	{
        if (h.die)
        {
            anim.SetBool("die",true);
        }

		if (Input.anyKeyDown){
			All();
		}
		else{
            if (Input.GetKey("a"))
            {
                key1 = 1;
                anim.SetBool("a", true);
            }
            else if (Input.GetKey("d"))
            {
                key3 = 1;
                anim.SetBool("d", true);
            }
            else if (Input.GetKey("s"))
            {
                key2 = 1;
                anim.SetBool("s", true);
            }
			else if (Input.GetKey(KeyCode.LeftArrow))
			{
				Key4 = 1;
                anim.SetBool("left", true);
			}
			else if (Input.GetKey(KeyCode.DownArrow))
			{
				Key5 = 1;
                anim.SetBool("down", true);
			}
			else if (Input.GetKey(KeyCode.RightArrow))
			{
				Key6 = 1;
                anim.SetBool("right", true);
			}
			else
			{
				All();
			}
		}
	}
}